
QGIS Application - Bug report #1641

trunk r10595 fails to build at parsing SIP files for 'gui'

2009-04-19 02:04 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11701

Description

Trunk r10595 fails to build as follows:

Parsing SIP files for 'gui' library...

/usr/bin/sip -c gui -b /home/shoofi/src/straight/qgis-trunk/build/python/gui/gui.sbf -I /home/shoofi/src/straight/qgis-trunk/python -I

/usr/share/sip/PyQt4 -x [[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t Qt_4_4_0 -g

/home/shoofi/src/straight/qgis-trunk/python/gui/gui.sip

Creating makefiles...

maker2: *** [python/core/Makefile] Error 1

maker1: *** [python/CMakeFiles/python.dir/all] Error 2

make: *** [all] Error 2

History

#1 - 2009-04-19 04:07 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

builds fine here (Debian unstable amd64 as of today - sip 4.7.9-2)

#2 - 2009-04-19 04:29 AM - Maciej Sieczka -

- Status changed from Closed to Feedback

- Resolution deleted (worksforme)

Replying to [comment:1 jef]:

builds fine here (Debian unstable amd64 as of today - sip 4.7.9-2)

Same sip version, Debian testing amd64, same revision and still fails as initially reported.

#3 - 2009-04-19 04:42 AM - Maciej Sieczka -

More info: the final error above is preceded by:
[ 61%] Generating core/Makefile, gui/Makefile

sip: /usr/share/sip/PyQt4/QtCore/qxmlstream.sip:213: Incorrect number of arguments to Python slot

sip: /usr/share/sip/PyQt4/QtCore/qxmlstream.sip:213: Incorrect number of arguments to Python slot

Error: Unable to open

"/home/shoofi/src/straight/qgis-trunk/build/python/core/core.sbf": [Errno 2] No

such file or directory:

'/home/shoofi/src/straight/qgis-trunk/build/python/core/core.sbf'

Indeed I don't have any *.sbf files in my QGIS build dir.

#4 - 2009-04-19 05:15 AM - Martin Dobias

Builds fine on my box too.

The error suggests that the problem is in the [[PyQt]]4 sip file so I suggest you to report this to [[PyQt]]4 developers. In meanwhile you can try some other

[[PyQt]]4 version to see whether it helps. What version do you use? Have you done any upgrade of it recently?

And I recommend you to close the bug as it's probably unrelated to qgis.

#5 - 2009-04-19 06:54 AM - Jürgen Fischer

Replying to [comment:4 wonder]:

The error suggests that the problem is in the [[PyQt]]4 sip file so I suggest you to report this to [[PyQt]]4 developers. In meanwhile you can try some

other [[PyQt]]4 version to see whether it helps. What version do you use? Have you done any upgrade of it recently?

I would first check if it's a Debian testing problem or maybe even just a local installation problem.  As it builds fine on both sid and lenny.

And I recommend you to close the bug as it's probably unrelated to qgis.

That was my point in closing the bug - it even builds fine on Windows, so this doesn't seem to be any qgis problem.

#6 - 2009-04-19 12:14 PM - Maciej Sieczka -

- Resolution set to invalid

- Status changed from Feedback to Closed

Replying to [comment:4 wonder]:

Builds fine on my box too.

The error suggests that the problem is in the [[PyQt]]4 sip file so I suggest you to report this to [[PyQt]]4 developers. In meanwhile you can try some

other [[PyQt]]4 version to see whether it helps. What version do you use?

My Pyqt is 4.4.2-4 (stock Debian testing packages).
Sip is 4.7.9-2.

Have you done any upgrade of it recently?

Not sure. Plenty of updates pop in daily. Package changelogs only say when they arrive unstable, not when they are promoted to testing I guess, so I can't

check.

#7 - 2009-04-19 12:53 PM - Jürgen Fischer

Replying to [comment:6 msieczka]:

My Pyqt is 4.4.2-4 (stock Debian testing packages).

lenny is also at 4.4.2-4 and unstable at 4.4.4-6 - both work for me.

Not sure. Plenty of updates pop in daily. Package changelogs only say when they arrive unstable, not when they are promoted to testing I guess, so

I can't check.

check /var/lib/dpkg.log

#8 - 2009-04-21 10:52 AM - antoniusz -

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

Replying to [comment:3 msieczka]:

I can confirm this compile error. After downgrading sip4 from 4.7.9-2 to 4.7.6-1, the error disappeared, and qgis compiled without problem.

I think, the error appears with sip 4.7.9 only, if the build is a >clean build<

system: debian testing amd64

#9 - 2009-04-21 11:03 AM - Martin Dobias

- Status changed from Feedback to Closed

- Resolution set to invalid

Replying to [comment:8 antoniusz]:

I can confirm this compile error. After downgrading sip4 from 4.7.9-2 to 4.7.6-1, the error disappeared, and qgis compiled without problem.

I think, the error appears with sip 4.7.9 only, if the build is a >clean build<

I don't see the point why you're reopening this ticket again. Obviously it's a sip/pyqt4 problem and I don't know what we could do with it.
#10 - 2009-04-21 11:57 AM - Jürgen Fischer

Replying to [comment:8 antoniusz]:

I think, the error appears with sip 4.7.9 only, if the build is a >clean build<

#11 - 2009-04-21 04:13 PM - antoniusz -

Replying to [comment:10 jef]:

	

Still there's no problem building on debian unstable amd64 using it's sip 4.7.9-2, [[PyQt]]4 4.4.4-6, Qt 4.4.3-2.

	

Here is the problem. We are talking about debian testing, not unstable, which has sip 4.7.9-2, >> [[PyQT]]4 4.4.2-4<< and Qt 4.4.3-2.

	

The combination from debian testing (sip 4.7.9 & pyqt 4.4.2) doesn't build, but upgrading [[PyQt]] (debian package: python-qt4-*) from debian unstable

repository solve the problem. :-)

	

Just 1 dependent package must be upgraded - python-support).

	

summa summarum:

	

1. to wait 5 day (maybe more) to pyqt 4.4.4 hit testing or

	

2. downgrading sip from 4.7.9 to 4.7.6 or
3. upgrading pyqt from 4.4.2 to 4.4.4 (my choice)

	

thanks

#12 - 2009-08-22 01:03 AM - Anonymous

Milestone Version 1.1.0 deleted
